Skip to main content

DELETE /kv/rest/v1/lists/{key} REST API Endpoint

Permanently deletes a Key-Value Store list and all of its items. This action cannot be undone. If you only need to remove specific items from the list, use the PATCH /kv/rest/v1/lists/{key} endpoint with removeItems or DELETE /kv/rest/v1/lists/{key}/items/{item} instead.

Updated on
Jun 26, 2026

Path Parameters

key
string
REQUIRED

The unique key associated with the list

Returns

code
number

Response status code

msg
string

Response message

data
null

No additional data

Request
Don't have an account yet?
Create your Quicknode endpoint in seconds and start building
Get started for free